# List webhook deliveries

Retrieves a paginated list of deliveries for a webhook subscription.

Endpoint: GET /v1/webhook-subscriptions/{webhookSubscriptionUuid}/deliveries
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `webhookSubscriptionUuid` (string, required)
    The unique identifier of the webhook subscription.

## Query parameters:

  - `uuids[eq]` (array)

  - `webhookEventUuids[eq]` (array)

  - `statuses[eq]` (array)
    Enum: "pending", "delivered", "failed"

  - `status[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this webhook delivery.

  - `items.webhookEventUuid` (string, required)
    The webhook event that triggered this delivery.

  - `items.webhookSubscriptionUuid` (string, required)
    The webhook subscription this delivery belongs to.

  - `items.status` (string, required)
    Delivery status of a webhook event.
    Enum: "pending", "delivered", "failed"

  - `items.attempts` (integer, required)
    Number of delivery attempts made.

  - `items.lastStatusCode` (integer,null)
    HTTP status code from the most recent delivery attempt.

  - `items.createdAt` (string, required)
    Timestamp when this delivery was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.lastAttemptAt` (string,null)
    Timestamp of the most recent delivery attempt.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.scheduledAt` (string,null)
    Timestamp when the next delivery attempt is scheduled.
    Example: "2025-11-23T14:15:22.123456Z"

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


